"use client"

import { BedPressureHeader } from "@/components/bed-pressure/BedPressureHeader"
import { StatsCards } from "@/components/bed-pressure/StatsCards"
import { BedVisualization } from "@/components/bed-pressure/BedVisualization"
import { AlertsPanel } from "@/components/bed-pressure/AlertsPanel"
import { AlarmDashboard } from "@/components/bed-pressure/AlarmDashboard"
import { SensorDetailModal } from "@/components/bed-pressure/SensorDetailModal"
import { useBedPressureData } from "@/hooks/useBedPressureData"

export default function Page() {
  useBedPressureData()

  return (
    <div className="min-h-screen bg-gray-50 p-6">
      <div className="max-w-7xl mx-auto space-y-6">
        <BedPressureHeader />
        
        <StatsCards />
        
        <div className="grid grid-cols-1 lg:grid-cols-3 gap-6">
          <div className="lg:col-span-2">
            <BedVisualization />
          </div>
          <div className="space-y-6">
            <AlertsPanel />
          </div>
        </div>

        {/* New Alarm Dashboard Section */}
        <AlarmDashboard />
        
        <SensorDetailModal />
      </div>
    </div>
  )
}
