export interface SensorConfig {
  id: string;
  x: number;
  y: number;
  zone: string;
  label: string;
  pin?: number;
  warningThreshold: number;
  alarmThreshold: number;
  warningDelayMs: number; // Duration in milliseconds before warning escalates to alarm
  baseNoise?: number; // For hardware sensors - noise level for analog conversion
}

export interface SensorThresholds {
  warningThreshold: number;
  alarmThreshold: number;
  warningDelayMs: number;
}

export interface SensorZoneConfig {
  zone: string;
  defaultThresholds: SensorThresholds;
  description: string;
}